<section class="nevis-account-personal  grid-indent">

  <section class="dwfe-form" spellcheck="false">
    <h2 id="account_personal_info" class="visually-hidden">{{app.t7eMap('title_info', t7e)}}</h2>

    <div class="nevis-account-personal__inner-personal-wrap  nevis-account__element-indent">

      <div class="nevis-account-personal__inner-personal">

        <div class="nevis-account__group">
          <dwfe-input-text class="nevis-account__group-control"
                           [labelText]="app.t7eMap('nick_name', t7e)"
                           (takeControl)="cNickName=$event"></dwfe-input-text>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tNickName=$event"
                             (takeIsChanged)="nickNameNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-input-text class="nevis-account__group-control"
                           [labelText]="app.t7eMap('first_name', t7e)"
                           [markIfChanged]="true"
                           [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                           [saveEdit$]="subjSaveEdit_Info.asObservable()"
                           (takeControl)="cFirstName=$event"
                           (takeIsChanged)="firstName_changed=$event"></dwfe-input-text>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tFirstName=$event"
                             (takeIsChanged)="firstNameNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-input-text class="nevis-account__group-control"
                           [labelText]="app.t7eMap('middle_name', t7e)"
                           [markIfChanged]="true"
                           [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                           [saveEdit$]="subjSaveEdit_Info.asObservable()"
                           (takeControl)="cMiddleName=$event"
                           (takeIsChanged)="middleName_changed=$event"></dwfe-input-text>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tMiddleName=$event"
                             (takeIsChanged)="middleNameNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-input-text class="nevis-account__group-control"
                           [labelText]="app.t7eMap('last_name', t7e)"
                           [markIfChanged]="true"
                           [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                           [saveEdit$]="subjSaveEdit_Info.asObservable()"
                           (takeControl)="cLastName=$event"
                           (takeIsChanged)="lastName_changed=$event"></dwfe-input-text>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tLastName=$event"
                             (takeIsChanged)="lastNameNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-select class="nevis-account__group-control"
                       [labelText]="app.t7eMap('gender', t7e)"
                       [markIfChanged]="true"
                       [items]="gendersList"
                       [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                       [saveEdit$]="subjSaveEdit_Info.asObservable()"
                       (takeControl)="cGender=$event"
                       (takeIsChanged)="gender_changed=$event"></dwfe-select>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tGender=$event"
                             (takeIsChanged)="genderNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

      </div>

      <div class="nevis-account-personal__inner-personal">

        <div class="nevis-account__group">
          <dwfe-date-picker class="nevis-account__group-control"
                            [labelText]="app.t7eMap('date_of_birth', t7e)"
                            [markIfChanged]="true"
                            [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                            [saveEdit$]="subjSaveEdit_Info.asObservable()"
                            (takeControl)="cDateOfBirth=$event"
                            (takeIsChanged)="dateOfBirth_changed=$event"></dwfe-date-picker>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tDateOfBirth=$event"
                             (takeIsChanged)="dateOfBirthNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-select class="nevis-account__group-control"
                       [labelText]="app.t7eMap('country', t7e)"
                       [markIfChanged]="true"
                       [items]="countriesList"
                       [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                       [saveEdit$]="subjSaveEdit_Info.asObservable()"
                       (takeControl)="cCountry=$event"
                       (takeIsChanged)="country_changed=$event"></dwfe-select>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tCountry=$event"
                             (takeIsChanged)="countryNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-input-text class="nevis-account__group-control"
                           [labelText]="app.t7eMap('city', t7e)"
                           [markIfChanged]="true"
                           [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                           [saveEdit$]="subjSaveEdit_Info.asObservable()"
                           (takeControl)="cCity=$event"
                           (takeIsChanged)="city_changed=$event"></dwfe-input-text>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tCity=$event"
                             (takeIsChanged)="cityNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-input-text class="nevis-account__group-control"
                           [labelText]="app.t7eMap('company', t7e)"
                           [markIfChanged]="true"
                           [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                           [saveEdit$]="subjSaveEdit_Info.asObservable()"
                           (takeControl)="cCompany=$event"
                           (takeIsChanged)="company_changed=$event"></dwfe-input-text>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tCompany=$event"
                             (takeIsChanged)="companyNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-input-text class="nevis-account__group-control"
                           [labelText]="app.t7eMap('position_held', t7e)"
                           [markIfChanged]="true"
                           [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                           [saveEdit$]="subjSaveEdit_Info.asObservable()"
                           (takeControl)="cPositionHeld=$event"
                           (takeIsChanged)="positionHeld_changed=$event"></dwfe-input-text>

          <dwfe-slide-toggle class="nevis-account__group-vis-checker"
                             [hintTrue]="app.t7eMap('hint_true', t7e)"
                             [hintFalse]="app.t7eMap('hint_false', t7e)"
                             [markIfChanged]="true"
                             [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                             [saveEdit$]="subjSaveEdit_Info.asObservable()"
                             (takeControl)="tPositionHeld=$event"
                             (takeIsChanged)="positionHeldNonPublic_changed=$event"></dwfe-slide-toggle>
        </div>

      </div>

    </div>

    <dwfe-ok-cancel-action class="nevis-account__action"
                           [errorMessage]="errorMessage"
                           [successMessage]="successMessage"
                           [showErrorMessage]="activeExchangeUnitNumber===1 && errorMessage !== ''"
                           [showSuccessMessage]="activeExchangeUnitNumber===1 && successMessage !== ''"
                           [isDisabled]="!isInfoChanged || isLocked"
                           (takeCancel)="performCancelEdit()"
                           (takeOk)="performUpdateAccountPersonal()"></dwfe-ok-cancel-action>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===1 && isLocked"></dwfe-overlay>

  </section>

  <mat-divider></mat-divider>

  <section class="nevis-account__single-form  dwfe-form" spellcheck="false">
    <h2 id="nick_name_change">{{app.t7eMap('title_change', t7e)}}</h2>

    <dwfe-input-text [labelText]="app.t7eMap('new_nickname', t7e)"
                     [markIfChanged]="true"
                     [saveEdit$]="subjSaveEdit_Change.asObservable()"
                     (takeControl)="cNewNickName=$event"
                     (takeIsChanged)="newNickName_changed=$event"></dwfe-input-text>

    <dwfe-input-password class="nevis-account__element-indent"
                         [labelText]="app.t7eMap('current_password', t7e)"
                         [disableValidators]="true"
                         (takeControl)="cCurrentPassword=$event"></dwfe-input-password>

    <dwfe-ok-action class="nevis-account__action"
                    [errorMessage]="errorMessage"
                    [successMessage]="successMessage"
                    [showErrorMessage]="activeExchangeUnitNumber===2 && errorMessage !== ''"
                    [showSuccessMessage]="activeExchangeUnitNumber===2 && successMessage !== ''"
                    [isDisabled]="!(newNickName_changed && cCurrentPassword && cCurrentPassword.value && cCurrentPassword.value!='') || isLocked"
                    (takeClick)="performChangeNickName()"></dwfe-ok-action>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===2 && isLocked"></dwfe-overlay>

  </section>

  <mat-divider></mat-divider>

  <section>
    <h2 id="account_personal_other">{{app.t7eMap('other', t7e)}}</h2>

    <div class="nevis-account-personal__access-wrap">

      <dwfe-input-text class="nevis-account__group-control  nevis-account-personal__access-wrap-item"
                       [labelText]="'id'"
                       (takeControl)="cId=$event"></dwfe-input-text>

      <dwfe-input-text class="nevis-account__group-control  nevis-account-personal__access-wrap-item"
                       [labelText]="app.t7eMap('created_on', t7e)"
                       (takeControl)="cCreatedOn=$event"></dwfe-input-text>
    </div>

    <p class="nevis-account-personal__public">
      <a href="/n/id/{{nevisService.auth.id}}"
         class="dwfe-common-link"
         target="_blank">{{app.t7eMap('public_page', t7e)}}</a>
    </p>

  </section>

</section>
